let
  nixpkgs-pin = builtins.fromJSON (builtins.readFile ./nixpkgs.json);
  nixpkgs-src = builtins.fetchTarball nixpkgs-pin;
  nixpkgs = import nixpkgs-src { };
  stable2105 = import (builtins.fetchTarball https://nixos.org/channels/nixos-21.05/nixexprs.tar.xz) { };
in
{ pkgs ? nixpkgs }:
pkgs.mkShell {
  NIX_PATH = "nixpkgs=${nixpkgs.path}";
  buildInputs = [
    pkgs.morph
    stable2105.vagrant
  ];
}
